#Banner {
  background-color: var(--red);
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
  color: white;
  left: 0;
  padding: 5px 5px 6px;
  position: fixed;
  right: 0;
  text-align: center;
  transition: box-shadow 0.5s, top 0.5s;
  top: -100px;
  width: 100%;
  z-index: 10000;
  &.visible {
    top: 0;
  }
  & .banner-text {
    border-bottom: 3px solid rgba(255, 255, 255, 0.5);
    display: inline-block;
    font-size: 20px;
    font-weight: 700;
    line-height: 22px;
    padding: 0 25px;
    text-transform: uppercase;
    transition: border-color 0.5s;
    @media (max-width: 768px) {
      border-bottom: none;
      text-decoration: underline;
    }
  }
  &:hover {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    cursor: pointer;
    & .banner-text {
      border-color: white;
    }
  }
  & a {
    color: white;
  }
  & .close {
    line-height: 20px;
    min-height: 20px;
    min-width: 20px;
    opacity: 0.5;
    position: absolute;
    right: 10px;
    top: 10px;
    transition: opacity 0.2s;
    vertical-align: top;
    &:before {
      color: white;
    }
    &:hover {
      background: none;
      opacity: 1;
    }
  }
}

html {
  min-height: 100vh;
  position: relative;
  width: 100%;
}

body {
  background-color: transparent;
  font-family: "Palanquin", sans-serif;
  /* Adjust font size */
  font-size: 100%;
  -webkit-text-size-adjust: 100%;
  /* Font varient */
  font-variant-ligatures: none;
  /* Smoothing */
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  font-smoothing: antialiased;
  -webkit-font-smoothing: antialiased;
  & #App {
    background-color: var(--dark);
    box-sizing: border-box;
    &.bare {
      background-color: transparent;
    }
  }
}

.pt-spinner {
  & .pt-spinner-head {
    stroke: var(--red);
  }
}

.pt-dialog {
  background-color: #F6F6F6;
  border-radius: 0;
  max-width: 584px;
  min-height: 100px;
  width: 100%;
  & .pt-dialog-header {
    background: none;
    box-shadow: none;
    & img {
      margin-right: 5px;
    }
    & h5 {
      color: #434958;
      font-family: "Palanquin", sans-serif;
      font-size: 13px;
      font-weight: 700;
      opacity: 0.4;
      text-transform: uppercase;
    }
    & .pt-dialog-close-button {
      outline: 0;
    }
  }
  & .pt-dialog-body {
    align-items: center;
    display: flex;
    justify-content: center;
    overflow: scroll;
  }
}

.pt-overlay-backdrop {
  background-color: rgba(233, 233, 233, 0.4);
}

.pt-popover {
  & .pt-popover-arrow {
    & .pt-popover-arrow-border {
      stroke-width: 0;
    }
    & .pt-popover-arrow-fill {
      fill: white;
    }
  }
  & .pt-popover-content {
    border: 0;
    border-radius: 0;
    background: white;
    color: var(--darkgray);
    font-family: "Palanquin", sans-serif;
    font-size: 12px;
    font-weight: 400;
    line-height: 1.5;
    max-width: 300px;
    padding: 7px 10px 9px;
  }
}

::selection {
  background: #ddd;
}

input[type="text"] {
  &:focus {
    outline: 0;
  }
}

.pt-transition-container {
  z-index: 30;
}

.pt-control.pt-checkbox {
  padding-left: 22px;
  & .pt-control-indicator {
    border-radius: 0;
    box-shadow: inset 0 0 0 1px var(--red);
  }
  & input:checked ~ .pt-control-indicator {
    background-color: var(--red);
    box-shadow: inset 0 0 0 1px var(--red);
  }
  &:hover {
    & input:checked ~ .pt-control-indicator {
      background-color: var(--red);
    }
  }
}

.pt-select {
  position: relative;
  margin-bottom: 5px;
  & select {
    appearance: none;
    background: white;
    border: 1px solid #bbb;
    border-radius: 0 !important;
    box-shadow: none;
    color: #949494;
    font-size: 13px;
    height: 35px;
    line-height: 13px;
    padding: 0 23px 0 9px;
    transition: background 0.2s;
    &:hover {
      background: rgb(241, 241, 241);
    }
  }
  &:after {
    color: #949494;
    content: "";
    display: block;
    font-family: "Icons16", sans-serif;
    font-size: 16px;
    font-weight: 400;
    font-style: normal;
    line-height: 1;
    opacity: 0.5;
    position: absolute;
    right: 10px;
    top: 9px;
    width: 11px;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
  }
}

/* Blueprint Table Styles */
.bp-table-container {
  background: transparent;
  box-shadow: none;
  outline: 0;
  & .bp-table-quadrant {
    background: var(--white);
  }
  & .bp-table-top-container {
    & .bp-table-menu {
      background: var(--white);
      border-bottom: 1px solid #ccc;
      box-shadow: none;
    }
    & .bp-table-column-headers {
      background: var(--white);
      box-shadow: none;
      & .bp-table-header {
        box-shadow: none;
        & .bp-table-column-name-text {
          align-items: flex-end;
          border-bottom: 1px solid #ccc;
          display: flex;
          padding: 15px 12px 12px;
          font-size: 13px;
          font-weight: bold;
          height: 87px;
          letter-spacing: 0.6px;
          line-height: 15px;
          overflow-wrap: break-word;
          text-overflow: clip;
          text-transform: uppercase;
          white-space: normal;
        }
      }
    }
  }
  & .bp-table-bottom-container {
    & .bp-table-row-headers {
      background: transparent;
      & .bp-table-header {
        box-shadow: none;
        & .bp-table-row-name {
          font-size: 12px;
          font-weight: 300;
          opacity: 0.25;
          padding: 3px 0;
        }
      }
    }
    & .bp-table-cell-client {
      background: transparent;
    }
    & .bp-table-cell, & .bp-table-cell.bp-table-last-in-row {
      box-shadow: none;
      font-size: 12px;
      font-weight: 300;
      padding: 3px 12px;
      & a {
        color: var(--red);
      }
    }
  }
}
